For the complete documentation index, see llms.txt. This page is also available as Markdown.

User Group

Endpoint for managing user groups

Get all usersgroups in the tenant

get
Authorizations
AuthorizationstringRequired
Responses
200

OK

application/json

Model used for UserGroups

Createdstring · date-timeOptional

Date and time when the user group was created

LastModifiedstring · date-timeOptional

Date and time when the user group was last modified

CreatedBystring · nullableOptional

User that created the user group

LastModifiedBystring · nullableOptional

User that last modified the user group

Uidstring · uuidOptional

Unique identifier for the user group

Namestring · nullableOptional

Name of the user group

get/v1/usergroups
GET /v1/usergroups HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "Created": "2026-01-01T00:00:00.000Z",
    "LastModified": "2026-01-01T00:00:00.000Z",
    "CreatedBy": "text",
    "LastModifiedBy": "text",
    "Uid": "123e4567-e89b-12d3-a456-426614174000",
    "Name": "text",
    "Languages": [
      {
        "LanguageId": 1,
        "ReadOnly": true
      }
    ],
    "Segments": [
      {
        "SegmentUid": "123e4567-e89b-12d3-a456-426614174000",
        "ReadOnly": true
      }
    ],
    "BusinessUnits": [
      {
        "BusinessUnitUid": "123e4567-e89b-12d3-a456-426614174000",
        "ReadOnly": true
      }
    ]
  }
]

Creates a new user group

post
Authorizations
AuthorizationstringRequired
Body

Model for creating a user group

Uidstring · uuidOptional

Unique identifier for the user group

Namestring · nullableOptional

Name of the user group

Responses
200

OK

No content

post/v1/usergroups
POST /v1/usergroups HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "Uid": "123e4567-e89b-12d3-a456-426614174000",
  "Name": "text",
  "Languages": [
    {
      "LanguageId": 1,
      "ReadOnly": true
    }
  ],
  "Segments": [
    {
      "SegmentUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ],
  "BusinessUnits": [
    {
      "BusinessUnitUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ]
}

No content

Updates a existing usergroup

put
Authorizations
AuthorizationstringRequired
Body

Update model for a user group

Uidstring · uuidOptional

Unique identifier for the user group

Namestring · nullableOptional

Name of the user group

Responses
200

OK

No content

put/v1/usergroups
PUT /v1/usergroups HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "Uid": "123e4567-e89b-12d3-a456-426614174000",
  "Name": "text",
  "Languages": [
    {
      "LanguageId": 1,
      "ReadOnly": true
    }
  ],
  "Segments": [
    {
      "SegmentUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ],
  "BusinessUnits": [
    {
      "BusinessUnitUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ]
}

No content

Returns a single usergroup from the tenant

get
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired
Responses
200

OK

application/json

Model used for UserGroups

Createdstring · date-timeOptional

Date and time when the user group was created

LastModifiedstring · date-timeOptional

Date and time when the user group was last modified

CreatedBystring · nullableOptional

User that created the user group

LastModifiedBystring · nullableOptional

User that last modified the user group

Uidstring · uuidOptional

Unique identifier for the user group

Namestring · nullableOptional

Name of the user group

get/v1/usergroups/{uid}
GET /v1/usergroups/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "Created": "2026-01-01T00:00:00.000Z",
  "LastModified": "2026-01-01T00:00:00.000Z",
  "CreatedBy": "text",
  "LastModifiedBy": "text",
  "Uid": "123e4567-e89b-12d3-a456-426614174000",
  "Name": "text",
  "Languages": [
    {
      "LanguageId": 1,
      "ReadOnly": true
    }
  ],
  "Segments": [
    {
      "SegmentUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ],
  "BusinessUnits": [
    {
      "BusinessUnitUid": "123e4567-e89b-12d3-a456-426614174000",
      "ReadOnly": true
    }
  ]
}

Deletes an existing usergroup

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired
Responses
200

OK

No content

delete/v1/usergroups/{uid}
DELETE /v1/usergroups/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated